.application-intro .headline {
    grid-area: 1/3/1/span 4;
}

.application-intro .btns-container {
	grid-area: 1/7/1/span 6;
}

.application-form .logo-icon {
    grid-area: 1/3/1/span 10;
    justify-self: flex-end;
    transform: translateY(-50%);
}

.application-form .form-container {
    grid-area: 2/4/2/span 8;
}

.application-form .form-container fieldset {
	display: grid;
	grid-template-columns: repeat(8, 1fr);
    grid-column-gap: var(--grid-gap);
    grid-row-gap: max(20px, 1.171875vw);
    border: 0;
    padding: 0;
    margin: 0;
}

.application-form .form-container .wpcf7 fieldset legend {
    font-size: 2rem;
    font-weight: 300;
    letter-spacing: .02em;
    line-height: 1.11;
    padding: var(--m-medium) 0 var(--m-small);
}

.application-form .form-container .wpcf7 fieldset legend::before {
    content: ">> ";
}

.application-form .form-container .wpcf7 label .label {
    display: block;
    font-size: var(--fs-24);
    font-weight: 500;
    line-height: 1.25;
    letter-spacing: .05em;
    margin-bottom: .5em;
}

.application-form .form-container .wpcf7 label .label small {
	font-size: var(--fs-19);
	font-weight: 400;
	letter-spacing: .02em;
}

.application-form .form-container .wpcf7 input[type="text"],
.application-form .form-container .wpcf7 input[type="email"],
.application-form .form-container .wpcf7 input[type="tel"],
.application-form .form-container .wpcf7 input[type="date"],
.application-form .form-container .wpcf7 select,
.application-form .form-container .wpcf7 textarea,
.application-form .form-container .wpcf7 .upload-btn-wrapper {
    font-family: "Inter";
    font-size: var(--fs-19);
    font-weight: 400;
    line-height: 1.5;
    letter-spacing: .02em;
	width: 100%;
    padding: max(12px, 0.703125vw) max(14px, 0.859375vw) max(10px, 0.625vw) max(24px, 1.40625vw);
    border: 1px solid currentColor;
    border-radius: 8px;
    background: transparent;
    resize: none;
    overflow: hidden;
    min-height: calc((var(--fs-19) * 1.5) + max(12px, 0.703125vw) + max(10px, 0.625vw));
}

.application-form .form-container .wpcf7 .wpcf7-form-control-wrap:has(input[type="date"]) {
    position: relative;
}

.application-form .form-container .wpcf7 .wpcf7-form-control-wrap:has(input[type="date"])::after {
    content: "";
    display: block;
    height: max(24px, 1.484375vw);
    aspect-ratio: 36/38;
    position: absolute;
    top: 50%;
    right: max(14px, 0.859375vw);
    transform: translateY(-55%);
    background-image: url(../img/icon-calendar.svg);
    background-size: 100%;
    background-position: center;
	background-repeat: no-repeat;
    pointer-events: none;
    z-index: 1;
}

.application-form .form-container .wpcf7 select {
    display: block;
    text-align: left;
    -moz-appearance: none; 
    -webkit-appearance: none; 
    transition: var(--def-trans);
}

.application-form .form-container .wpcf7 select,
.application-form .form-container .wpcf7 .upload-btn-wrapper {
	padding-right: calc(max(14px, 0.859375vw) + 40px + .5rem);
	background-image: url(../../img/arrow-accordion.svg);
	background-size: auto 32px;
	background-position: calc(100% - .5em) 50%;
	background-repeat: no-repeat;
}

.application-form .form-container .wpcf7 .upload-btn-wrapper {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    position: relative;
    overflow: unset;
    padding-right: calc(32px + 1em);
    white-space: nowrap;
}

.application-form .form-container .wpcf7 .upload-btn-wrapper .file-name {
    overflow: hidden;
    width: 100%;
    max-width: 100%;
    position: relative;
	pointer-events: none;
}

.application-form .form-container .wpcf7 .upload-btn-wrapper .file-name::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    aspect-ratio: 1/1;
    background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 100%);
}

.application-form .form-container .wpcf7 .upload-btn-wrapper:has(.wpcf7-not-valid) {
    margin-bottom: calc(1.4 * 1em + 1em);
}

.application-form .form-container .wpcf7 .upload-btn-wrapper .wpcf7-control-wrap,
.application-form .form-container .wpcf7 .upload-btn-wrapper input[type="file"] {
	cursor: pointer;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
	z-index: 1;
}

.application-form .form-container .wpcf7 .upload-btn-wrapper input[type="file"] {
    opacity: 0;
}

.application-form .form-container .wpcf7 .upload-btn-wrapper label {
    cursor: pointer;
    position: relative;
    display: flex;
    font-family: "Roboto";
    font-size: var(--fs-20);
    font-weight: 700;
    letter-spacing: 0.07em;
    line-height: 1.25;
    text-transform: uppercase;
    border: 1px solid var(--black);
    border-radius: 1em;
    padding: 12px max(16px, 0.9375vw);
    transition: var(--def-trans);
}

.application-form .form-container .wpcf7 .upload-btn-wrapper .wpcf7-not-valid-tip {
    position: relative;
    top: 100%;
}

.application-form .form-container .wpcf7 input[type="checkbox"] {
    flex: 0 0 auto;
    width: 21px;
    height: 21px;
	appearance: none;
	-webkit-appearance: none;
    position: relative;
    top: .15em;
    flex-shrink: 0;
}

.application-form .form-container .wpcf7 input[type="checkbox"]::before {
	content: "";
	display: block;
	width: 100%;
	height: 100%;
	border-radius: 5px;
	border: 1px solid;
}

.application-form .form-container .wpcf7 input[type="checkbox"]::after {
	content: "";
	display: block;
	width: 100%;
	height: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
	background: var(--dark-blue);
	border-radius: 5px;
    transform: translate(-50%,-50%) scale(0);
    transition: var(--def-trans);
}

.application-form .form-container .wpcf7 input[type="checkbox"]:checked::after {
    transform: translate(-50%,-50%) scale(1);
}

.application-form .form-container .wpcf7 ::placeholder {
    color: currentColor;
    opacity: 1;
}

.application-form .form-container .wpcf7-list-item {
	margin: 0;
}

.application-form .form-container .wpcf7-list-item a {
    text-decoration: underline;
}

.application-form .form-container .wpcf7-list-item > label {
    display: flex;
    gap: max(24px, 1.40625vw);
    line-height: 1.525;
}

.application-form .form-container .wpcf7 .wpcf7-not-valid-tip {
	text-transform: none;
	margin-top: 1em;
}

.application-form .form-container .wpcf7 form .wpcf7-response-output {
    text-align: center;
	margin: 2em 0 0;
	padding: 1em 2em;
}

.application-form .form-container .wpcf7 .wpcf7-form-control-wrap {
    position: unset;
}

.application-form .form-container .col-2 {
    grid-column: span 2;
}

.application-form .form-container .col-3 {
    grid-column: span 3;
}

.application-form .form-container .col-4 {
    grid-column: span 4;
}

.application-form .form-container .col-5 {
    grid-column: span 5;
}

.application-form .form-container .col-6 {
    grid-column: span 6;
}

.application-form .form-container .col-7 {
    grid-column: span 7;
}

.application-form .form-container .col-8 {
    grid-column: span 8;
}

.application-form .form-container .infotext {
    margin-bottom: max(24px, 1.25vw);
    line-height: 1.525;
}

.application-form .form-container .privacy-submit-container {
	margin-top: var(--m-medium);
}

@media (max-width: 1299.98px) {
    .application-form .form-container {
        grid-area: 2/3/2/span 10;
    }
}

@media (max-width: 1199.98px) {
    .application-intro .headline {
      grid-area: 1/2/1/span 4;
    }
    
    .application-intro .btns-container {
      grid-area: 1/6/1/span 8;
    }
    
    .application-form .form-container {
        grid-area: 2/2/2/span 12;
    }

    .application-form .form-container .col-2 {
        grid-column: span 4;
    }
    
    .application-form .form-container .col-3 {
        grid-column: span 4;
    }
}

@media (max-width: 767.98px) {
    .application-intro .headline {
        grid-area: 1/3/1/span 10;
    }

    .application-intro .btns-container {
        grid-area: 2/3/2/span 10;
        margin-top: var(--m-small);
    }

    .application-form .form-container {
        grid-area: 2/3/2/span 10;
    }

    .application-form .form-container .col-2,
    .application-form .form-container .col-3,
    .application-form .form-container .col-6,
    .application-form .form-container .col-4 {
        grid-column: span 8;
    }
}

@media (max-width: 575.98px) {
    .application-intro .headline {
        grid-area: 1/2/1/span 12;
    }

    .application-intro .btns-container {
        grid-area: 2/2/2/span 12;
    }

    .application-form .form-container {
        grid-area: 2/2/2/span 12;
    }
}